Our systems have detected that your Internet Browser version does not meet the minimum requirements for the ADP DAS ECC Application.

The minimum browser version requirements are Microsoft Internet Explorer 5.5 or higher. Netscape browsers are no longer supported for DAS ECC.

In order to use DAS ECC, please take the time to update your Internet Browser by clicking on the link below and download the latest Microsoft Internet Explorer Browser by following the prompts provided. The download is free and contains a variety of security and reliability enhancements that were not present in previous versions of Microsoft Internet Explorer.

Please contact your ADP service center if you have any questions. ADP looks forward to continuing to service all your payroll needs.

http://www.microsoft.com/windows/ie/downloads/critical/ie6sp1/default.mspx